Subject: Re: bug#74813: 31.0.50; scroll-down is 10x slower and laggy than scroll-up

From: [email-masked]
Date: Fri, 10 Jan 2025 16:04:47 +0800

My auto-repeat rate is 100 times/second

It's hard to notice performance difference by eyes and hands.
You can do profiler-start (cpu) and profiler-report, then you will notice
the profiler result is totally different.

On 1/10/25 4:01 PM, Eli Zaretskii <[email-masked]> wrote:
> > Date: Fri, 10 Jan 2025 15:30:34 +0800
> > From: [email-masked]
> >
> > I try to reproduce on `emacs -Q` for this file: https://raw.githubusercontent.com/bitcoin/bitcoin/refs/heads/master/src/secp256k1/src/precomputed_ecmult.c
> >
> > It's fundamental-mode, then I notice `C-v` and `M-v` 's scroll-up and scroll-down have performance difference: C-v is more smoother than scroll-up.
> 
> I've now tried that file in fundamental-mode, and I don't see any
> perceptible differences between C-v and M-v.  For example, scrolling
> from top to bottom by leaning on C-v takes 35 sec, and scrolling
> bottom to top with M-v takes the same 35 sec.
> 
> What is your auto-repeat rate for the keyboard?  That is, if you press
> and hold C-v, how many key presses per second does your system
> produce?
>